Subject: Seed Germination Problems

From: [email-masked] (BopShopTom)
Date: 8 Mar 1995 21:12:24 -0500

I planted leek and onion seeds in pots filled with a sterile seed starting
mix.  I kept them moist and covered the tray with plastic wrap.  The tray
is in my basement, where it is probably close to 60 degrees.  I have a
shop light with one regular bulb and one GE Plant and Aquarium  wide
spectrum bulb.  One type of onions (Sentinel Bulb) germinated, but the
Yellow Globe Onions and Electra Leeks did not. :-(  Why?  Too cold?  Can I
just put more seeds into the same pots and try again, maybe with the tray
upstairs in my house?  Temp. is probably high 60s there.  Thanks for any
help!